import type { ApolloServerBase, Config as ApolloConfig } from 'apollo-server-core';
import type { Config, MetricsConfig } from './typings/config';
export declare abstract class BullMonitor<TServer extends ApolloServerBase> {
    constructor(config: Config);
    abstract init(...args: any): Promise<any>;
    get queues(): Config['queues'];
    set queues(queues: Config['queues']);
    protected gqlBasePath: string;
    protected config: Required<Config>;
    protected server: TServer;
    protected createServer(Server: new (config: ApolloConfig) => TServer): void;
    protected startServer(): Promise<void>;
    protected renderUi(): string;
    protected get baseUrl(): string;
    protected get uiEndpoint(): string;
    protected get gqlEndpoint(): string;
    private _queues;
    private ui;
    private metricsCollector?;
    private defaultMetricsConfig;
    private defaultConfig;
    private initMetricsCollector;
}
export { Config, MetricsConfig };
